ru.bitel.bgbilling.modules.inet.api.server.event

## Class InetServStateChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.api.server.event.InetServStateChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetServStateChangedEvent
      extends QueueEvent

  Событие вызывается после реального изменения состояния сервиса на договоре, например при изменении баланса договора.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetServStateChangedEvent()`
    `InetServStateChangedEvent(int mid, InetServ inetServ, short oldState, short newState, int accessCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCode()` Получение Access-Code.
    `InetServ` | `getInetServ()` Получение сервиса договора, на котором произошло изменение состояния.
    `short` | `getNewState()` Получение нового состояния сервиса ПОСЛЕ его изменения.
    `short` | `getOldState()` Получение старого состояния сервиса ДО его изменения.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServStateChangedEvent

          public InetServStateChangedEvent()

    - #### InetServStateChangedEvent

          public InetServStateChangedEvent(int mid,
                                           InetServ inetServ,
                                           short oldState,
                                           short newState,
                                           int accessCode)

  - ### Method Detail

    - #### getInetServ

          public InetServ getInetServ()

      Получение сервиса договора, на котором произошло изменение состояния.

    - #### getOldState

          public short getOldState()

      Получение старого состояния сервиса ДО его изменения. Либо `InetServ.STATE_ENABLE`, либо `InetServ.STATE_DISABLE`

    - #### getNewState

          public short getNewState()

      Получение нового состояния сервиса ПОСЛЕ его изменения. Либо `InetServ.STATE_ENABLE`, либо `InetServ.STATE_DISABLE`

    - #### getAccessCode

          public int getAccessCode()

      Получение Access-Code. Либо `AccessCodes.AUTHORIZATION_SUCCEEDED`, либо `AccessCodes.BALANCE_INSUFFICIENT`, либо `AccessCodes.CONTRACT_LOCKED`